Name:                osgi-annotation
Version:             7.0.0
Release:             1
Summary:             Annotations for use in compiling OSGi bundles
License:             ASL 2.0
URL:                 http://www.osgi.org/
Source0:             https://repo1.maven.org/maven2/org/osgi/osgi.annotation/%{version}/osgi.annotation-%{version}.jar
Source1:             https://repo1.maven.org/maven2/org/osgi/osgi.annotation/%{version}/osgi.annotation-%{version}.pom
BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin)
BuildArch:           noarch

%description
Annotations for use in compiling OSGi bundles. This package is not normally
needed at run-time.

%package javadoc
Summary:             API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -c -q
mkdir -p src/main/java && mv OSGI-OPT/src/org src/main/java
rm -r org OSGI-OPT
cp -p %{SOURCE1} pom.xml
%pom_xpath_inject pom:project "
  <packaging>bundle</packaging>
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Bundle-Name>\${project.artifactId}</Bundle-Name>
            <Bundle-SymbolicName>\${project.artifactId}</Bundle-SymbolicName>
          </instructions>
        </configuration>
      </plugin>
    </plugins>
  </build>"
%mvn_alias org.osgi:osgi.annotation org.osgi:org.osgi.annotation

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc about.html
%dir %{_javadir}/osgi-annotation
%dir %{_mavenpomdir}/osgi-annotation

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Thu Aug 13 2020 leiju <leiju4@huawei.com> - 7.0.0-1
- Update from 6.0.0 to 7.0.0

* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 6.0.0-9
- Package init
